Bug 315521 - Segmentation fault in thunderbird with lightning because of missing compat-libstdc++-33
Segmentation fault in thunderbird with lightning because of missing compat-li...
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-02 11:41 EDT by Mads Kiilerich
Modified: 2007-12-14 05:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-14 05:10:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gdb session with debuginfo and thread apply all bt (13.10 KB, text/plain)
2007-10-02 11:41 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2007-10-02 11:41:10 EDT
Description of problem:
thunderbird crashes
perhaps because I have installed lightning
perhaps because it connects to an exchange server via imap and I just changed
the password on the server

Version-Release number of selected component (if applicable):

How reproducible:
right now reproducible

Steps to Reproduce:
1. open thunderbird, see list of mails
2. click mail, see that it writes "downloading message in the status bar"
3. sigsegv
Comment 1 Mads Kiilerich 2007-10-02 11:41:11 EDT
Created attachment 213601 [details]
gdb session with debuginfo and thread apply all bt
Comment 2 Mads Kiilerich 2007-10-02 11:48:14 EDT
disabling lightning seems to make the problem non-reproducible

I had installed the xpi from https://addons.mozilla.org/en-US/thunderbird/addon/2313

12770116722f211c1b4d339d7e06321e  lightning-0.5-tb-linux.xpi
Comment 3 Christopher Aillon 2007-10-03 11:13:41 EDT
The toolchain used to build the xpi is likely different, which makes it not
compatible with the RPM.
Comment 4 Mads Kiilerich 2007-10-03 14:55:43 EDT
Sounds reasonable; they provide platform-specific downloads - but apparently not
sufficiently platform-specific...

Is that your conclusion or a theory?

I knew that addons were powerfull enough to be dangerous, but I would expect
mozilla/thunderbird to have some kind of api compatibility check.

Is there a better/recommended way to try sunbird/lightning?
Comment 5 Christopher Aillon 2007-10-10 01:38:16 EDT
It's just a theory, but one which I believe is quite likely to be true, given
other known incompatibilities.  I wonder if installing the compat-libstdc++33
package (or whatever it's called) will help in your case.  It does in some other
cases.  Else, probably need to compile it manually.
Comment 6 Mads Kiilerich 2007-10-10 03:16:29 EDT
I installed compat-libstdc++-33, installed lightning again, and now it seems to
work. More specific: I doesn't crash where it did before. A quick test shows
that I can at least send mail and that lightning can show a google calender.

So the cause of the problem has been identified and a workaround made for me.

Other fedora users trying the same will get the same problem. I think the issue
should be left open until a general solution has been found.

A workaround is to get lightning packaged as rpm with "proper" dependencies. Or
to get it packaged without any need for dependencies...

Until then it would be nice if upstream could inform about the requirement on

Note You need to log in before you can comment on or make changes to this bug.